routes/admin.php
<?php

use App\Http\Controllers\Admin\Auth\ImportExportController;
use Illuminate\Support\Facades\Route;

Route::group(['namespace' => 'Auth'], function () {
    Route::get('login', 'LoginController@showLoginForm')->name('login');
    Route::post('login', 'LoginController@login');
    Route::post('logout', 'LoginController@logout')->name('logout');
});

Route::group(['middleware' => 'auth:admin'], function () {

    // point
    Route::get('point-list',        'Auth\PointController@pointList')->name('point_list');
    Route::get('send-request',        'Auth\PointController@sendRequest')->name('send_request');
    Route::delete('destroy-Point/{id}',  'Auth\PointController@destroyPoint')->name('destroy_point');
    Route::get('request-status',        'Auth\PointController@requestStatus')->name('request_status');

    Route::get('dashboard/content', function () {
        return view('admin.dashboard.content');
    })->name('main');
    

    // --------------------------------------Admin Profile-------------------------------------------
    Route::put('update-profile/{id}', 'Auth\ProfileController@updateProfile')->name('update_profile');
    Route::get('dashboard/profile', 'Auth\ProfileController@showProfile')->name('showprofile');
    
    // ------------------------------------ change status -----------------------------------------
    Route::get('dashboard/change', 'Auth\ProfileController@changeStatus')->name('changestatus');
    Route::get('details/change', 'Auth\ProfileController@statusChange')->name('statuschange');
    Route::get('dashboard/password', function () {
        return view('admin.dashboard.changepassword');
    })->name('changepassword');
    Route::post('dashboard/changepass/{id}', 'Auth\ProfileController@changePassword')->name('changepass');
    
    // --------------------------------------User Profile-------------------------------------------
    Route::resource('dashboard', Auth\UserController::class)->middleware(['permission:view-user-table']);
    Route::resource('details', Auth\UserDetailsController::class)->middleware(['permission:view-userdetail-table']);
    
    
    
    
    
    // ---------------------------------------- Permission ---------------------------------------
    Route::resource('permission', Auth\PermissionController::class)->middleware(['permission:view-permission-table']);
    Route::post('modulename','Auth\PermissionController@moduleName')->name('modulename');
    
    // ---------------------------------------- Permission ---------------------------------------
    Route::resource('role', Auth\RoleController::class)->middleware(['permission:view-role-table']);
    Route::post('checkname','Auth\RoleController@checkName')->name('checkname');
    
    // ---------------------------------------- Admin ---------------------------------------
    Route::resource('adminuser', Auth\AdminController::class)->middleware(['permission:view-admin-table']);
    
    // Point
    // User Post
    Route::get('list-point',            'Auth\UserPostController@listPoint')->name('list_point');
    Route::get('show-user-list/{id}',            'Auth\UserPostController@showUserList')->name('show_user_list');
    Route::get('list-user',             'Auth\UserPostController@listUser')->name('list_user');
    Route::get('status-user',           'Auth\UserPostController@statusUser')->name('status_user');
    Route::delete('destroy-User/{id}',  'Auth\UserPostController@destroyUser')->name('destroy_user');
});

routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Front\PostController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

// Post
Route::post('add-post', [PostController::class, 'createPost'])->name('add_post');
Route::post('send-request', [PostController::class, 'sendRequest'])->name('send_request');
Route::post('title-name',  [PostController::class, 'titleName'])->name('title_name');
// Route::post('request-status',        [PostController::class, 'requestStatus'])->name('request_status');

resources/views/admin/dashboard/addpermission.blade.php
@extends('layouts.master')
@push('css')
<style>
   .error {
      color: red;
   }
</style>
@endpush
@section('content')
<div class="content">
   <div class="container-fluid">
      <div class="row">
         <div class="col-md-8">
            <div class="card">
               <div class="card-header card-header-primary">
                  <h4 class="card-title">{{ trans('Add Permission')}}</h4>
                  <!-- <p class="card-category">Complete your Package</p> -->
               </div>
               <div class="card-body">
                  <!-- <form> -->
                  {!! Form::open(['route'=> array('admin.permission.store'), 'id' => 'permission_form']) !!}
                  <!-- --------------------------------- Module Name ------------------------------- -->
                  <div class="row">
                     <div class="col-md-12">
                        <div class="form-group">
                           <label class="bmd-label-floating">{{ Form::label('module_name',trans('Module Name'))}}</label>
                           {{Form::text('module_name','',['class'=>'form-control module_name'])}}
                           @error('module_name')
                           <span role="alert">
                              <strong style="color:red;">{{ tranc('$message') }}</strong>
                           </span>
                           @enderror
                           <p id="duplicat_name"></p>
                        </div>
                     </div>
                  </div>
                  <!-- --------------------------------- Guard Name ------------------------------- -->
                  <div class="row">
                     <div class="col-md-12">
                        <div class="form-group">
                           <label class="bmd-label-floating">{{ Form::label('guard_name',trans('Guard Name'))}}</label>
                           {{Form::text('guard_name','',['class'=>'form-control'])}}
                           @error('guard_name')
                           <span role="alert">
                              <strong style="color:red;">{{ $message }}</strong>
                           </span>
                           @enderror
                        </div>
                     </div>
                  </div>
                  {{Form::submit( trans('Add'), ['class'=>'btn btn-primary pull-right asd'])}}
                  {!!Form::close()!!}
                  <div class="clearfix"></div>
                  <!-- </form> -->
               </div>
            </div>
            <div class="card">
               <div class="card-header card-header-primary">
                  <a href="{{ route('admin.permission.index')}}">
                     <h4 class="card-title"><i class="fa fa-hand-o-left" aria-hidden="true"></i> {{ trans('Back')}}</h4>
                  </a>
                  <!-- <p class="card-category">Complete your Package</p> -->
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
@endsection
@push('js')
<script>
   $(document).ready(function() {
      $('#permission_form').validate({
         rules: {
            module_name: {
               required: true,
            },
            guard_name: {
               required: true,
            },
         },
         errorElement: 'span',
         messages: {
            module_name: 'Please Enter Module Name!',
            guard_name: 'Please Enter Guard Name!',
         },
      });

      // =================================================================
      $('.module_name').blur(function() {
         var error_phone = '';
         var module_name = $('.module_name').val();
         var _token = $('input[name = "_token"]').val();
         var filter = /(^([a-zA-z]+)(\d+)?$)/u;
         if (!filter.test(module_name)) {
            $('#error').addClass('has-error');
            $('#duplicat_name').html('<label class = "text-danger">Invaild Module Name !!</label>');
            $('.add').attr('disabled', 'disabled');
         } else {
            $.ajax({
               url: "{{ route('admin.modulename')}}",
               method: "POST",
               data: {
                  module_name: module_name,
                  _token: _token
               },
               success: function(result) {
                  if (result != 'Name_Exists') {
                     $('#duplicat_name').html(
                        '<label class = "text-success">Now Module Name Available !!</label>'
                     );
                     $('.module_name').removeClass('has-error');
                     $('.add').attr('disabled', false);
                  } else if (result != 'Unique') {
                     $('#duplicat_name').html(
                        '<label class = "text-danger">Module Name is already exits !!</label>'
                     );
                     $('#mobile').addClass('has-error');
                     $('.add').attr('disabled', false);
                  }
               }
            })
         }
      });
      // =================================================================
   });
</script>
@endpush

resources/views/admin/dashboard/addrole.blade.php
@extends('layouts.master')
@push('css')
<style>
   .error {
      color: red;
   }

   .MultiCheckBox {
      border: 1px solid #e2e2e2;
      padding: 5px;
      border-radius: 4px;
      cursor: pointer;
   }

   .MultiCheckBox .k-icon {
      font-size: 15px;
      float: right;
      font-weight: bolder;
      margin-top: -7px;
      height: 10px;
      width: 14px;
      color: #787878;
   }

   .MultiCheckBoxDetail {
      display: none;
      position: absolute;
      border: 1px solid #e2e2e2;
      overflow-y: hidden;
   }

   .MultiCheckBoxDetailBody {
      overflow-y: scroll;
   }

   .MultiCheckBoxDetail .cont {
      clear: both;
      overflow: hidden;
      padding: 2px;
   }

   .MultiCheckBoxDetail .cont:hover {
      background-color: #cfcfcf;
   }

   .MultiCheckBoxDetailBody>div>div {
      float: left;
   }

   .MultiCheckBoxDetail>div>div:nth-child(1) {}

   .MultiCheckBoxDetailHeader {
      overflow: hidden;
      position: relative;
      height: 28px;
      background-color: #3d3d3d;
   }

   .MultiCheckBoxDetailHeader>input {
      position: absolute;
      top: 4px;
      left: 3px;
   }

   .MultiCheckBoxDetailHeader>div {
      position: absolute;
      top: 5px;
      left: 24px;
      color: #fff;
   }
</style>
@endpush
@section('content')
<div class="content">
   <div class="container-fluid">
      <div class="row">
         <div class="col-md-12">
            <div class="card">
               <div class="card-header card-header-primary">
                  <h4 class="card-title">{{ trans('Add Role')}}</h4>
                  <!-- <p class="card-category">{{ trans('Complete your profile')}}</p> -->
               </div>
               <div class="card-body">
                  <!-- <form> -->
                  {!! Form::open(['route'=> array('admin.role.store'), 'id' => 'role_form']) !!}
                  @csrf
                  <!-- -------------------------------------- Name ------------------------------------ -->
                  <div class="row">
                     <div class="col-md-12">
                        <div class="form-group">
                           <label class="bmd-label-floating">{{ Form::label('name',trans('Name'))}}</label>
                           {{Form::text('name','',['class'=>'form-control name'])}}
                           @error('name')
                           <span role="alert">
                              <strong style="color:red;">{{ $message }}</strong>
                           </span>
                           @enderror
                        </div>
                        <p id="duplicat_name"></p>
                     </div>
                  </div>
                  <div class="clearfix"></div>
                  <!-- ---------------------------- Table ----------------------------------- -->
                  </label>
                  <h3>{{ trans('Please Select Permission')}}</h3>
                  <div class="table-responsive">
                     <table class="table">
                        <thead>
                           <tr>
                              <th>{{ trans('Module Name')}}</th>
                              <th>{{ trans('Create')}}</th>
                              <th>{{ trans('Update')}}</th>
                              <th>{{ trans('View')}}</th>
                              <th>{{ trans('Delete')}}</th>
                           </tr>
                        </thead>
                        @php $n=1; @endphp
                        @foreach($permission as $value)
                        @if($n == 1)
                        <tr>
                           <td><b>{{$value->module_name}}</b></td>
                           @endif
                           <td>
                              <input type="checkbox" class="permision_check" name="permission[]" value="{{$value->id}}"> {{ $value->name }}
                           </td>
                           @if($n == 4)
                        </tr>
                        @php $n=0; @endphp
                        @endif
                        @php $n++; @endphp
                        @endforeach
                     </table>
                  </div>
                  <!-- ------------------------------------------------------------------ -->
                  <!-- <div class="row">
                     <div class="col-md-4">
                        <div class="form-group">
                           <select id="test" name="test[]">
                              @foreach($per as $permission)
                              <option class="dropdown-item" value="{{ $permission->id }}">{{ $permission->name }}</option>
                              @endforeach
                           </select>
                        </div>
                     </div>
                  </div> -->
                  {{Form::submit('Add Role', ['class'=>'btn btn-primary pull-right add'])}}
                  {!!Form::close()!!}
               </div>
               <div class="card">
                  <div class="card-header card-header-primary">
                     <a href="{{ route('admin.role.index')}}">
                        <h4 class="card-title"><i class="fa fa-hand-o-left" aria-hidden="true"></i> {{ trans('Back')}}</h4>
                     </a>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
@endsection

@push('js')
<script>
   $('#role_form').validate({
      rules: {
         name: {
            required: true,
         },
      },
      errorElement: 'span',
      messages: {
         name: 'Please Enter Role Name!',
      },
   });

   $(document).ready(function() {
      $(document).on("click", ".MultiCheckBox", function() {
         var detail = $(this).next();
         detail.show();
      });

      $(document).on("click", ".MultiCheckBoxDetailHeader input", function(e) {
         e.stopPropagation();
         var hc = $(this).prop("checked");
         $(this).closest(".MultiCheckBoxDetail").find(".MultiCheckBoxDetailBody input").prop("checked", hc);
         $(this).closest(".MultiCheckBoxDetail").next().UpdateSelect();
      });

      $(document).on("click", ".MultiCheckBoxDetailHeader", function(e) {
         var inp = $(this).find("input");
         var chk = inp.prop("checked");
         inp.prop("checked", !chk);
         $(this).closest(".MultiCheckBoxDetail").find(".MultiCheckBoxDetailBody input").prop("checked", !chk);
         $(this).closest(".MultiCheckBoxDetail").next().UpdateSelect();
      });

      $(document).on("click", ".MultiCheckBoxDetail .cont input", function(e) {
         e.stopPropagation();
         $(this).closest(".MultiCheckBoxDetail").next().UpdateSelect();

         var val = ($(".MultiCheckBoxDetailBody input:checked").length == $(".MultiCheckBoxDetailBody input").length)
         $(".MultiCheckBoxDetailHeader input").prop("checked", val);
      });

      $(document).on("click", ".MultiCheckBoxDetail .cont", function(e) {
         var inp = $(this).find("input");
         var chk = inp.prop("checked");
         inp.prop("checked", !chk);

         var multiCheckBoxDetail = $(this).closest(".MultiCheckBoxDetail");
         var multiCheckBoxDetailBody = $(this).closest(".MultiCheckBoxDetailBody");
         multiCheckBoxDetail.next().UpdateSelect();

         var val = ($(".MultiCheckBoxDetailBody input:checked").length == $(".MultiCheckBoxDetailBody input").length)
         $(".MultiCheckBoxDetailHeader input").prop("checked", val);
      });

      $(document).mouseup(function(e) {
         var container = $(".MultiCheckBoxDetail");
         if (!container.is(e.target) && container.has(e.target).length === 0) {
            container.hide();
         }
      });
      // =================================================================
      $('.name').blur(function() {
         var error_phone = '';
         var name = $('.name').val();
         var _token = $('input[name = "_token"]').val();
         var filter = /(^([a-zA-z ]+)(\d+)?$)/u;
         if (!filter.test(name)) {
            $('#error').addClass('has-error');
            $('#duplicat_name').html('<label class = "text-danger">Invaild Role Name</label>');
            $('.add').attr('disabled', 'disabled');
         } else {
            $.ajax({
               url: "{{ route('admin.checkname')}}",
               method: "POST",
               data: {
                  name: name,
                  _token: _token
               },
               success: function(result) {
                  if (result != 'Name_Exists') {
                     $('#duplicat_name').html(
                        '<label class = "text-success">Role Name Available</label>'
                     );
                     $('.name').removeClass('has-error');
                     $('.add').attr('disabled', false);
                  } else if (result != 'Unique') {
                     $('#duplicat_name').html(
                        '<label class = "text-danger">Role Name is already exits.</label>'
                     );
                     $('#mobile').addClass('has-error');
                     $('.add').attr('disabled', false);
                  }
               }

            })
         }
      });
      // =================================================================

   });

   var defaultMultiCheckBoxOption = {
      width: '220px',
      defaultText: 'Select Below',
      height: '200px'
   };

   jQuery.fn.extend({
      CreateMultiCheckBox: function(options) {

         var localOption = {};
         localOption.width = (options != null && options.width != null && options.width != undefined) ? options.width : defaultMultiCheckBoxOption.width;
         localOption.defaultText = (options != null && options.defaultText != null && options.defaultText != undefined) ? options.defaultText : defaultMultiCheckBoxOption.defaultText;
         localOption.height = (options != null && options.height != null && options.height != undefined) ? options.height : defaultMultiCheckBoxOption.height;

         this.hide();
         this.attr("multiple", "multiple");
         var divSel = $("<div class='MultiCheckBox'>" + localOption.defaultText + "<span class='k-icon k-i-arrow-60-down'><svg aria-hidden='true' focusable='false' data-prefix='fas' data-icon='sort-down' role='img' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512' class='svg-inline--fa fa-sort-down fa-w-10 fa-2x'><path fill='currentColor' d='M41 288h238c21.4 0 32.1 25.9 17 41L177 448c-9.4 9.4-24.6 9.4-33.9 0L24 329c-15.1-15.1-4.4-41 17-41z' class=''></path></svg></span></div>").insertBefore(this);
         divSel.css({
            "width": localOption.width
         });

         var detail = $("<div class='MultiCheckBoxDetail'><div class='MultiCheckBoxDetailHeader'><input type='checkbox' class='mulinput' value='-1982' /><div>Select All</div></div><div class='MultiCheckBoxDetailBody'></div></div>").insertAfter(divSel);
         detail.css({
            "width": parseInt(options.width) + 10,
            "max-height": localOption.height
         });
         var multiCheckBoxDetailBody = detail.find(".MultiCheckBoxDetailBody");

         this.find("option").each(function() {
            var val = $(this).attr("value");

            if (val == undefined)
               val = '';

            multiCheckBoxDetailBody.append("<div class='cont'><div><input type='checkbox' class='mulinput' value='" + val + "' /></div><div>" + $(this).text() + "</div></div>");
         });

         multiCheckBoxDetailBody.css("max-height", (parseInt($(".MultiCheckBoxDetail").css("max-height")) - 28) + "px");
      },
      UpdateSelect: function() {
         var arr = [];

         this.prev().find(".mulinput:checked").each(function() {
            arr.push($(this).val());
         });

         this.val(arr);
      },
   });
</script>
@endpush

resources/views/admin/dashboard/listadmin.blade.php
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.0/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
@extends('layouts.master')
@section('content')
<div class="content">
   <div class="container-fluid">
      <div class="row">
         <div class="col-md-12">
            <div class="card">
               <div class="card-header card-header-primary">
                  <h4 class="card-title">{{ trans('Help Table')}}</h4>
                  <p class="card-category"> {{ trans('Here is a List for Question-Answer')}}</p>
               </div>
               @can('create-admin')
               <div>
                  <a href="{{ route('admin.adminuser.create') }}" class="btn btn-success">{{ trans('Add Admin')}}</a>
               </div>
               @endcan
               <div class="card-body">
                  <div class="table-responsive-sg">
                     {!! $dataTable->table()!!}
                  </div>
               </div>
            </div>
            <div class="card">
               <!-- <div class="card-header card-header-primary">
                        <a href="{{ route('admin.help')}}">
                            <h4 class="card-title"><i class="fa fa-hand-o-left" aria-hidden="true"></i> {{ trans('Add Question-Answer')}}</h4>
                        </a>
                    </div> -->
            </div>
         </div>
      </div>
   </div>
</div>
@endsection
@push('js')
<script>
   $(document).on('click', '.delete', function() {
      swal({
            title: "Are you sure?",
            text: "Once deleted, you will not be able to recover this imaginary file!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
         })
         .then((willDelete) => {
            if (willDelete) {
               var id = $(this).data('id');
               var url = '{{route("admin.adminuser.destroy", ":queryId")}}';
               url = url.replace(':queryId', id);
               var number = $(this).attr('id', 'asd');
               $.ajax({
                  url: url,
                  type: "DELETE",
                  data: {
                     id: id,
                     _token: '{{ csrf_token() }}'
                  },
                  dataType: "json",
                  success: function(data) {
                     $('#admindatatable-table').DataTable().ajax.reload();
                  }
               });
               swal("Poof! Your imaginary file has been deleted!", {
                  icon: "success",
               });
            } else {
               swal("Your imaginary file is safe!");
            }
         });
   });
</script>
{!! $dataTable->scripts() !!}
@endpush

resources/views/admin/dashboard/listpermission.blade.php
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.0/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
@extends('layouts.master')
@section('content')
<div class="content">
   <div class="container-fluid">
      <div class="row">
         <div class="col-md-12">
            <div class="card">
               <div class="card-header card-header-primary">
                  <h4 class="card-title">{{ trans('Permission Table')}}</h4>
                  <p class="card-category"> {{ trans('Here is a List for Permission')}}</p>
               </div>
               <div>
                  <a href="{{ route('admin.permission.create') }}" class="btn btn-success">{{ trans('Add Permission')}}</a>
               </div>
               <div class="card-body">
                  <div class="table-responsive-sg">
                     {!! $dataTable->table(['class' => 'table table-bordered dt-responsive nowrap']) !!}
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
@endsection
@push('js')
<script>
   // ---------------------------------------Delete-----------------------------
   $(document).on('click', '.delete', function() {
      swal({
            title: "Are you sure?",
            text: "Once deleted, you will not be able to recover this imaginary file!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
         })
         .then((willDelete) => {
            if (willDelete) {
               var id = $(this).data('id');
               var url = '{{route("admin.permission.destroy", ":queryId")}}';
               url = url.replace(':queryId', id);
               var number = $(this).attr('id', 'asd');
               $.ajax({
                  url: url,
                  type: "DELETE",
                  data: {
                     id: id,
                     _token: '{{ csrf_token() }}'
                  },
                  dataType: "json",
                  success: function(data) {
                     $('#permissiondatatable-table').DataTable().ajax.reload();
                  }
               });
               swal("Poof! Your imaginary file has been deleted!", {
                  icon: "success",
               });
            } else {
               swal("Your imaginary file is safe!");
            }
         });
   });
</script>
{!! $dataTable->scripts() !!}
@endpush

resources/views/admin/dashboard/userlist.blade.php
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.0/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
@extends('layouts.master')
@section('content')
<div class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header card-header-primary">
            <h4 class="card-title">{{ trans('Users Table')}}</h4>
            <p class="card-category"> {{ trans('Here is a data for Users')}}</p>
          </div>
          <form action="{{ route('admin.import') }}" method="POST" enctype="multipart/form-data">
            @csrf
            <label class="bmd-label-floating">{{ trans('Select File')}}</label>
            <input type="file" name="file" class="form-control">
            @error('file')
            <span role="alert">
              <strong style="color:red;">{{ $message }}</strong>
            </span>
            @enderror
            <br>
            <button class="btn btn-success">{{ trans('Import User Data')}}</button>
            <a class="btn btn-warning" href="{{ route('admin.export') }}">{{ trans('Export User Data')}}</a>
          </form>
          <div>
            <!-- <a href="{{ route('admin.dashboard.create') }}" class="btn btn-success">Add User</a> -->
          </div>
          <!-- --------------------------------------------------- -->
          <!-- --------------------------------------------------- -->
          <div class="card-body">
            <div class="table-responsive-sg">
              {!! $dataTable->table()!!}
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
@endsection
@push('js')
<script>
  // ---------------------------------------status-----------------------------
  $(document).on('click', '.status', function() {
    var id = $(this).data('id');
    var number = $(this).attr('id', 'asd');
    $.ajax({
      url: "{{route('admin.changestatus')}}",
      type: 'get',
      data: {
        id: id,
      },
      dataType: "json",
      success: function(data) {
        $("#asd").removeAttr("class");
        if (data.status == "Active") {
          $("#asd").addClass("badge rounded-pill bg-success status");
        } else {
          $("#asd").addClass("badge rounded-pill bg-danger status");
        }
        $("#asd").html(data.status);
        $('#usersdatatable-table').DataTable().ajax.reload();
      }
    })
  });
  // ---------------------------------------Delete-----------------------------
  $(document).on('click', '.delete', function() {
    swal({
        title: "Are you sure?",
        text: "Once deleted, you will not be able to recover this imaginary file!",
        icon: "warning",
        buttons: true,
        dangerMode: true,
      })
      .then((willDelete) => {
        if (willDelete) {
          var delet = $(this).data('id');
          var url = '{{route("admin.dashboard.destroy", ":queryId")}}';
          url = url.replace(':queryId', delet);
          $.ajax({
            url: url,
            type: "DELETE",
            data: {
              id: delet,
              _token: '{{ csrf_token() }}'
            },
            dataType: "json",
            success: function(data) {
              $('#usersdatatable-table').DataTable().ajax.reload();
            }
          });
          swal("Poof! Your imaginary file has been deleted!", {
            icon: "success",
          });
        } else {
          swal("Your imaginary file is safe!");
        }
      });
  });
</script>
{!! $dataTable->scripts() !!}
@endpush